# Class ScriptInterruption

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.jmol.script.ScriptException
org.jmol.script.ScriptInterruption

All Implemented Interfaces:
  `Serializable`

public class ScriptInterruption extends ScriptException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ScriptInterruption(ScriptEval eval, String why, int millis)`

## Method Summary

### Methods inherited from class ScriptException

`getErrorMessageUntranslated, getMessage, toString`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ScriptInterruption

public ScriptInterruption(ScriptEval eval, String why, int millis)